/* Static Model */
package sams;


import sams.GatewayServicesInterface;
import sams.XMLDocumentInstance;
/* Offers services to Merchant channels. */
public interface MerchantServicesInterface
{
	/* Kicked by Gateway services. This routine would maintain a list of registered Merchants for authenticating the request and cause the transaction. All Merchant request received from locations are transversed here for reformatting in system requried forms. */
	public abstract boolean InitializeMerchantServices();
	/* Sets reference to gateway services component. */
	public abstract boolean SetGatewayServicesReference(GatewayServicesInterface GatewayServicesReference);
	/* Process Merchant request would accept the calls from locations and respond on authneticating the transactions. */
	public abstract XMLDocumentInstance ProcessMerchantRequest(XMLDocumentInstance ATMRequest);

}
/* END CLASS DEFINITION MerchantServicesInterface */
