//Listing 2.10 Class SAXParserApp using SAXEventHandler
// XML - A Dsitributed Computing Paradigm - Ajay M R

import org.xml.sax.Parser;
import org.xml.sax.DocumentHandler;
import org.xml.sax.helpers.ParserFactory;


public class SAXParserApp {

  static final String parserClass = "com.microstar.xml.SAXDriver";

  public static void main (String args[])
    throws Exception
  {
    Parser parser = ParserFactory.makeParser(parserClass);
    DocumentHandler handler = new SAXEventHandler();
    parser.setDocumentHandler(handler);
    for (int i = 0; i < args.length; i++) {
      parser.parse(args[i]);
    }
  }
}

