/* Static Model */
package sams;


import sams.GatewayServicesInterface;
import sams.XMLDocumentInstance;
/* Offers services to ATM location systems.  */
public interface ATMServicesInterface
{
	/* Kicked by Gateway services. This routine would maintain a list of registered ATM services for authenticating the request and cause the transaction. All ATM request received from locations are transversed here for reformatting in system requried forms. */
	public abstract boolean InitializeATMServices();
	/* Sets reference to gateway services component. */
	public abstract boolean SetGatewayServicesReference(GatewayServicesInterface GatewayServicesReference);
	/* Process ATM request would accept the calls from locations and respond on authneticating the transactions. */
	public abstract XMLDocumentInstance ProcessATMRequest(XMLDocumentInstance ATMRequest);

}
/* END CLASS DEFINITION ATMServicesInterface */
